Bug 1782955 (CVE-2019-19481)

Summary: CVE-2019-19481 opensc: improper handling of buffer limits for CAC certificates
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: crypto-team, gmazyland, jjelen, klember, nmavrogi, tmraz
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: opensc 0.20.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1782957, 1791808, 1782956, 1791807    
Bug Blocks: 1782958    

Description Guilherme de Almeida Suckevicz 2019-12-12 17:15:22 UTC
An issue was discovered in OpenSC through 0.19.0 and 0.20.x through 0.20.0-rc3. libopensc/card-cac1.c mishandles buffer limits for CAC certificates.

Reference:
https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=18618

Upstream commit:
https://github.com/OpenSC/OpenSC/commit/b75c002cfb1fd61cd20ec938ff4937d7b1a94278

Comment 1 Guilherme de Almeida Suckevicz 2019-12-12 17:15:43 UTC
Created opensc tracking bugs for this issue:

Affects: epel-6 [bug 1782957]
Affects: fedora-all [bug 1782956]